<div class="mt-2 pb-1">
    <div class="d-flex align-items-center mb-2 py-2 border-top border-bottom">
        <h6 class="my-0 font-weight-bold text-secondary">Measurements</h6>
        <span class="mx-2 text-secondary">|</span>
        <div moe>
            <a start show class="py-0 font-weight-normal">Add</a>
            <form url="/api/measurement/create">
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <div class="mb-2">
                    <input required autofocus type="text" class="form-control form-control-sm" name="label" value="" placeholder="Type">
                </div>
                <div class="mb-2">
                    <input required type="text" class="form-control form-control-sm" name="value" value="" placeholder="Value">
                </div>
                <div class="mb-2">
                    <input required type="date" class="form-control form-control-sm" name="effectiveDate" max="{{ date('Y-m-d') }}" value="{{ date('Y-m-d') }}">
                </div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                </div>
            </form>
        </div>
        <span class="mx-2 text-secondary">|</span>
        <a start show class="py-0 font-weight-normal"
           href="/patients/view/{{ $patient->uid }}/measurements">
            View All
        </a>
    </div>
    <table class="table table-sm border-0 m-0">
        <tbody>
        @foreach($patient->measurements as $measurement)
            @if(!empty($measurement->label) && !in_array($measurement->label, $vitalLabels))
                <tr>
                    <td class="text-black p-0 border-0">
                        <div class="d-flex align-items-center">
                            <div moe relative class="mr-2">
                                <a class="on-hover-opaque" start show title="Delete">
                                    <i class="font-size-11 fa fa-trash-alt text-danger"></i>
                                </a>
                                <form url="/api/measurement/remove">
                                    <input type="hidden" name="uid" value="{{ $measurement->uid }}">
                                    <p class="small min-width-200px">Are you sure you want to delete this entry?</p>
                                    <div class="d-flex align-items-center">
                                        <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                    </div>
                                </form>
                            </div>
                            <div moe class="mr-2">
                                <a class="on-hover-opaque" start show title="Update">
                                    <i class="font-size-11 fa fa-edit text-primary"></i>
                                </a>
                                <form url="/api/measurement/create">
                                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                    <div class="mb-2">
                                        <input required type="text" class="form-control form-control-sm" name="label" value="{{ $measurement->label }}" placeholder="Type">
                                    </div>
                                    <div class="mb-2">
                                        <input required autofocus type="text" class="form-control form-control-sm" name="value" value="{{ $measurement->value }}" placeholder="Value">
                                    </div>
                                    <div class="mb-2">
                                        <input required type="date" class="form-control form-control-sm" name="effectiveDate" max="{{ date('Y-m-d') }}" value="{{ date('Y-m-d') }}">
                                    </div>
                                    <div class="d-flex align-items-center">
                                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                    </div>
                                </form>
                            </div>
                            <span>{{ $measurement->label }}:</span>
                            <span class="font-weight-bold ml-1">{{ $measurement->value }}</span>
                            <span class="font-weight-normal text-secondary ml-2 text-sm">(as on {{ friendly_date_time($measurement->effective_date, false) }})</span>
                            @php $matchingClientPrograms = $pro->canAddCPMEntryForMeasurement($measurement, $pro); @endphp
                            @if($matchingClientPrograms && count($matchingClientPrograms))
                                <div moe>
                                    <a href="#" class="ml-2 font-weight-normal" start show><i class="fa fa-clock"></i> <b>Entry</b> ({{ $measurement->numCPMEntries() }})</a>
                                    <form url="/api/clientProgramMonthEntry/create">
                                        <input type="hidden" name="measurementUid" value="{{ $measurement->uid }}">
                                        <input type="hidden" name="proUid" value="{{ $pro->uid }}">
                                        @if(count($matchingClientPrograms) === 1)
                                            <input type="hidden" name="clientProgramUid" value="{{ $matchingClientPrograms->first()->uid }}">
                                        @else
                                            <div class="mb-2">
                                                <label class="text-sm mb-1 text-secondary">Program</label>
                                                <select autofocus class="form-control form-control-sm" name="clientProgramUid" required>
                                                    <option value="">-- select --</option>
                                                    @foreach($matchingClientPrograms as $clientProgram)
                                                        <option value="{{$clientProgram->uid}}">{{$clientProgram->title}}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        @endif
                                        <div class="mb-2">
                                            <label class="text-sm mb-1 text-secondary">Effective Date</label>
                                            <input required type="date" class="form-control form-control-sm" name="effectiveDate" value="{{ date('Y-m-d') }}">
                                        </div>
                                        <div class="mb-2">
                                            <label class="text-sm mb-1 text-secondary">Quick Text</label>
                                            <input autofocus required type="text" class="form-control form-control-sm" name="quickText" value="">
                                        </div>
                                        <div class="mb-2">
                                            <label class="text-sm mb-1 text-secondary">Measurement Determination</label>
                                            <input type="text" class="form-control form-control-sm" name="measurementDetermination" value="">
                                        </div>
                                        <div class="mb-2">
                                            <label class="text-sm mb-1 text-secondary">Measurement Memo</label>
                                            <input type="text" class="form-control form-control-sm" name="measurementMemo" value="">
                                        </div>
                                        <div class="mb-2">
                                            <label class="text-sm mb-1 text-secondary">Time (minutes)</label>
                                            <input required type="number" class="form-control form-control-sm" name="timeInMinutes" value="">
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            @endif
                        </div>
                    </td>
                </tr>
            @endif
        @endforeach
        @if(!$patient->measurements || !count($patient->measurements) === 0)
            <tr>
                <td class="text-secondary p-0 border-0">
                    No items to show
                </td>
            </tr>
        @endif
        </tbody>
    </table>
</div>
